Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class PixMap

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.qd.PixMap

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class PixMap
extends QTHandleRef
implements quicktime.jdirect.QuickTimeLib

A pixel map contains information about the dimensions and contents of a pixel image, as well as information on the image's storage format, depth, resolution and color usage. Refer to PixMap in QuickDraw

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static PixMap` | `fromGDevice(GDevice g)` A PixMap object which describes the pixels in a GDevice.
`static PixMap` | `fromGraphicsExporter(GraphicsExporter ge)` A PixMap object which describes the pixels in the QDGraphics.
`static PixMap` | `fromQDGraphics(QDGraphics g)` A PixMap object which describes the pixels in the QDGraphics.
`static PixMap` | `fromTrack(Track t)` A PixMap object which describes the Matte of a Track.
`QDRect` | `getBounds()` The boundary rectangle, which links the local coordinate system of a graphics port to QuickDraw's global coordinate system and defines the area of the bit image into which QuickDraw can draw.
`ColorTable` | `getColorTable()` When creating a PixMap for a particular graphics device, Color QuickDraw creates a ColorTable that defines the best colors available for the pixel image on that particular graphics device.
`RawEncodedImage` | `getPixelData()` Returns the actual Pixel data itself.
`int` | `getPixelFormat()` Returns the pixel format of this PixMap
`int` | `getPixelSize()` Return the size (how many bits) of each pixel in the pixel data
`int` | `getRowBytes()` Return the number of bytes each row of the pixel data makes up.
`boolean` | `isOffscreen()` Returns true if the pixel data is from an offscreen GWorld or false if it is from an onscreen CGrafPort
`java.lang.String` | `toString()` Print information about this object.

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Method Detail

### fromGraphicsExporter

    public static PixMap fromGraphicsExporter(GraphicsExporter ge)

  A PixMap object which describes the pixels in the QDGraphics.
  QuickTime::GetGWorldPixMap()

  Parameters:
    `g` - the QDGraphics object
  Returns:
    a PixMap object
  See Also:
    `quicktime.std.qd.QDGraphics#getPixMap`

### fromQDGraphics

    public static PixMap fromQDGraphics(QDGraphics g)

  A PixMap object which describes the pixels in the QDGraphics.
  QuickTime::GetGWorldPixMap()

  Parameters:
    `g` - the QDGraphics object
  Returns:
    a PixMap object
  See Also:
    `quicktime.std.qd.QDGraphics#getPixMap`

### fromGDevice

    public static PixMap fromGDevice(GDevice g)

  A PixMap object which describes the pixels in a GDevice.
  Parameters:
    `g` - the GDevice object
  Returns:
    a PixMap object

### fromTrack

    public static PixMap fromTrack(Track t)
                            throws StdQTException

  A PixMap object which describes the Matte of a Track.

  Parameters:
    `t` - the Track object
  Returns:
    a PixMap object, or null if no matte set
  See Also:
    `Track.getMatte()`

### isOffscreen

    public boolean isOffscreen()

  Returns true if the pixel data is from an offscreen GWorld or false if it is from an onscreen CGrafPort

### getRowBytes

    public int getRowBytes()

  Return the number of bytes each row of the pixel data makes up.
  Returns:
    the byte length in each row

### getPixelSize

    public int getPixelSize()

  Return the size (how many bits) of each pixel in the pixel data
  Returns:
    pixel size

### getPixelFormat

    public int getPixelFormat()

  Returns the pixel format of this PixMap

### getPixelData

    public RawEncodedImage getPixelData()

  Returns the actual Pixel data itself. This can then be passed around in ICM calls that deal with pixel data.
  Returns:
    the pixels

### getBounds

    public QDRect getBounds()

  The boundary rectangle, which links the local coordinate system of a graphics port to QuickDraw's global coordinate system and defines the area of the bit image into which QuickDraw can draw.
  Returns:
    a QDRect object representing the bounds of the PixMap

### getColorTable

    public ColorTable getColorTable()

  When creating a PixMap for a particular graphics device, Color QuickDraw creates a ColorTable that defines the best colors available for the pixel image on that particular graphics device. Note that a reference to the PixMap object will be maintained by the ColorTable object to prevent the PixMap from being garbage collected before the ColorTable.
  Returns:
    a ColorTable object
  See Also:
    `quicktime.std.qd.ColorTable`

### toString

    public java.lang.String toString()

  Print information about this object.
  Overrides:
    `toString` in class `QTHandleRef`
  Returns:
    a string representing this PixMap object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD